site_name: jsPsych
theme: readthedocs
repo_url: 'https://github.com/jodeleeuw/jsPsych'
repo_name: 'GitHub'
extra_css:
- css/extra.css
extra_javascript:
- js/extra.js
- js/analytics.js
docs_dir: markdown_docs
site_favicon: favicon.ico
pages:
- Introduction: 'index.md'
- Tutorials:
  - 'The Basics: Hello World': 'tutorials/hello-world.md'
  - 'Demo Experiment: Simple Reaction Time Task': 'tutorials/rt-task.md'
- Features:
  - 'Creating an Experiment: The Timeline': 'features/timeline.md'
  - 'Advanced Options for Trials': 'features/trial.md'
  - 'Data Storage, Aggregation, and Manipulation': 'features/data.md'
  - 'Event-related Callback Functions': 'features/callbacks.md'
  - 'Record Browser Interactions': 'features/record-browser-interactions.md'
  - 'Media Preloading': 'features/media-preloading.md'
  - 'Fullscreen Experiments': 'features/fullscreen.md'
  - 'Exclude Participants Based on Browser Features': 'features/exclude-browser.md'
  - 'Automatic Progress Bar': 'features/progress-bar.md'
  - 'Integrating with Mechanical Turk': 'features/mturk.md'
- Core Library API:
  - 'Overview': 'core_library/overview.md'
  - 'jsPsych core': 'core_library/jspsych-core.md'
  - 'jsPsych.data': 'core_library/jspsych-data.md'
  - 'jsPsych.randomization': 'core_library/jspsych-randomization.md'
  - 'jsPsych.turk': 'core_library/jspsych-turk.md'
  - 'jsPsych.pluginAPI': 'core_library/jspsych-pluginAPI.md'
- Plugins:
  - 'Overview': 'plugins/overview.md'
  - 'Creating a New Plugin': 'plugins/creating-a-plugin.md'
  - 'jspsych-animation': 'plugins/jspsych-animation.md'
  - 'jspsych-button-response': 'plugins/jspsych-button-response.md'
  - 'jspsych-call-function': 'plugins/jspsych-call-function.md'
  - 'jspsych-categorize': 'plugins/jspsych-categorize.md'
  - 'jspsych-categorize-animation': 'plugins/jspsych-categorize-animation.md'
  - 'jspsych-form': 'plugins/jspsych-form.md'
  - 'jspsych-free-sort': 'plugins/jspsych-free-sort.md'
  - 'jspsych-fullscreen': 'plugins/jspsych-fullscreen.md'
  - 'jspsych-html': 'plugins/jspsych-html.md'
  - 'jspsych-iat': 'plugins/jspsych-iat.md'
  - 'jspsych-instructions': 'plugins/jspsych-instructions.md'
  - 'jspsych-multi-stim-multi-response': 'plugins/jspsych-multi-stim-multi-response.md'
  - 'jspsych-reconstruction': 'plugins/jspsych-reconstruction.md'
  - 'jspsych-resize': 'plugins/jspsych-resize.md'
  - 'jspsych-same-different': 'plugins/jspsych-same-different.md'
  - 'jspsych-serial-reaction-time': 'plugins/jspsych-serial-reaction-time.md'
  - 'jspsych-serial-reaction-time-mouse': 'plugins/jspsych-serial-reaction-time-mouse.md'
  - 'jspsych-single-audio': 'plugins/jspsych-single-audio.md'
  - 'jspsych-single-stim': 'plugins/jspsych-single-stim.md'
  - 'jspsych-slider-response': 'plugins/jspsych-slider-response.md'
  - 'jspsych-survey-likert': 'plugins/jspsych-survey-likert.md'
  - 'jspsych-survey-multi-choice': 'plugins/jspsych-survey-multi-choice.md'
  - 'jspsych-survey-multi-select': 'plugins/jspsych-survey-multi-select.md'
  - 'jspsych-survey-text': 'plugins/jspsych-survey-text.md'
  - 'jspsych-text': 'plugins/jspsych-text.md'
  - 'jspsych-video': 'plugins/jspsych-video.md'
  - 'jspsych-visual-search-circle': 'plugins/jspsych-visual-search-circle.md'
  - 'jspsych-vsl-animate-occlusion': 'plugins/jspsych-vsl-animate-occlusion.md'
  - 'jspsych-vsl-grid-scene': 'plugins/jspsych-vsl-grid-scene.md'
  - 'jspsych-xab': 'plugins/jspsych-xab.md'
- Support: 'support.md'
- About:
  - 'About jsPsych': 'about/about.md'
  - 'License': 'about/license.md'
  - 'Contributing to jsPsych': 'about/contributing.md'
